GET /insights/v1/resolve/{input}
Resolve

Path Parameters

input unknown required path
Example: "0x1f9840a85d5aF5bf1D1762F925BDADdC4201F984"

Query Parameters

chain number[] optional query
Use chain_id instead
Example: [20,56,1]
chain_id number[] optional query
The chain ID(s) to request the data for. You can specify multiple chain IDs, up to a maximum of 55. Use repeated query parameters, e.g., `?chain_id=20&chain_id=56`. Optional, because a single chain can as well be specified as a subdomain
Example: [20,56,1]

Responses

200 Successful response
application/json
data object
blocks object[]
Array of:
chain_id number REQUIRED
block_number number REQUIRED
block_hash string REQUIRED
parent_hash string REQUIRED
block_timestamp number REQUIRED
nonce string REQUIRED
sha3_uncles string REQUIRED
mix_hash string REQUIRED
miner string REQUIRED
state_root string REQUIRED
transactions_root string REQUIRED
receipts_root string REQUIRED
logs_bloom string REQUIRED
size number REQUIRED
extra_data string REQUIRED
difficulty string REQUIRED
total_difficulty string REQUIRED
transaction_count number REQUIRED
gas_limit number REQUIRED
gas_used number REQUIRED
withdrawals_root string REQUIRED
base_fee_per_gas number REQUIRED
transactions object[]
Array of:
chain_id string REQUIRED
block_number number REQUIRED
block_hash string REQUIRED
block_timestamp number REQUIRED
hash string REQUIRED
nonce number REQUIRED
transaction_index number REQUIRED
from_address string REQUIRED
to_address string REQUIRED
value string REQUIRED
gas_price string REQUIRED
gas number REQUIRED
function_selector string REQUIRED
data string REQUIRED
max_fee_per_gas string REQUIRED
max_priority_fee_per_gas string REQUIRED
transaction_type number REQUIRED
r string REQUIRED
s string REQUIRED
v string REQUIRED
access_list_json string
authorization_list_json string
contract_address string
gas_used number
cumulative_gas_used number
effective_gas_price string
blob_gas_used number
blob_gas_price string
logs_bloom string
status number
events object[]
Array of:
chain_id string REQUIRED
block_number number REQUIRED
block_hash string REQUIRED
block_timestamp number REQUIRED
transaction_hash string REQUIRED
transaction_index number REQUIRED
log_index number REQUIRED
address string REQUIRED
data string REQUIRED
topics string[] REQUIRED
Array of:
address string
type string REQUIRED
Enum: block, transaction, event_signature, function_signature, address, contract, unknown
aggregations unknown | null
meta object REQUIRED
chain_ids number[] REQUIRED
Array of:
address string
signature string
page number REQUIRED
limit_per_chain number REQUIRED
total_items number REQUIRED
total_pages number REQUIRED
400 Bad request
500 Internal server error
curl -X GET 'https://data-api.b3.fun//insights/v1/resolve/0x1f9840a85d5aF5bf1D1762F925BDADdC4201F984'
const response = await fetch('https://data-api.b3.fun//insights/v1/resolve/0x1f9840a85d5aF5bf1D1762F925BDADdC4201F984', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
import requests

response = requests.get('https://data-api.b3.fun//insights/v1/resolve/0x1f9840a85d5aF5bf1D1762F925BDADdC4201F984')
print(response.json())
200 Response
{
  "data": {
    "blocks": [
      {
        "chain_id": 123,
        "block_number": 123,
        "block_hash": "<string>",
        "parent_hash": "<string>",
        "block_timestamp": 123,
        "nonce": "<string>",
        "sha3_uncles": "<string>",
        "mix_hash": "<string>",
        "miner": "<string>",
        "state_root": "<string>",
        "transactions_root": "<string>",
        "receipts_root": "<string>",
        "logs_bloom": "<string>",
        "size": 123,
        "extra_data": "<string>",
        "difficulty": "<string>",
        "total_difficulty": "<string>",
        "transaction_count": 123,
        "gas_limit": 123,
        "gas_used": 123,
        "withdrawals_root": "<string>",
        "base_fee_per_gas": 123
      }
    ],
    "transactions": [
      {
        "chain_id": "<string>",
        "block_number": 123,
        "block_hash": "<string>",
        "block_timestamp": 123,
        "hash": "<string>",
        "nonce": 123,
        "transaction_index": 123,
        "from_address": "<string>",
        "to_address": "<string>",
        "value": "<string>",
        "gas_price": "<string>",
        "gas": 123,
        "function_selector": "<string>",
        "data": "<string>",
        "max_fee_per_gas": "<string>",
        "max_priority_fee_per_gas": "<string>",
        "transaction_type": 123,
        "r": "<string>",
        "s": "<string>",
        "v": "<string>",
        "access_list_json": "<string>",
        "authorization_list_json": "<string>",
        "contract_address": "<string>",
        "gas_used": 123,
        "cumulative_gas_used": 123,
        "effective_gas_price": "<string>",
        "blob_gas_used": 123,
        "blob_gas_price": "<string>",
        "logs_bloom": "<string>",
        "status": 123
      }
    ],
    "events": [
      {
        "chain_id": "<string>",
        "block_number": 123,
        "block_hash": "<string>",
        "block_timestamp": 123,
        "transaction_hash": "<string>",
        "transaction_index": 123,
        "log_index": 123,
        "address": "<string>",
        "data": "<string>",
        "topics": [
          "<string>"
        ]
      }
    ],
    "address": "vitalik.eth",
    "type": "block"
  },
  "aggregations": "<unknown>",
  "meta": {
    "chain_ids": [
      123
    ],
    "address": "<string>",
    "signature": "<string>",
    "page": 123,
    "limit_per_chain": 123,
    "total_items": 123,
    "total_pages": 123
  }
}
GET /insights/v1/resolve/{input}
Ask a question... ⌘I